Skip to main content
GET
/
v1
/
accounts
/
{currency}
/
transactions
List account transactions
curl --request GET \
  --url https://api.antonpayments.com/v1/accounts/{currency}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "account_id": "<string>",
      "type": "<string>",
      "status": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "reference": "<string>",
      "counterparty_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Merchant API key: ak_live_* (production) or ak_test_* (sandbox).

Path Parameters

currency
string
required

Query Parameters

limit
integer
default:20

Maximum number of items to return (default 20, max 100).

Required range: x <= 100
cursor
string

Pagination cursor from previous response's next_cursor.

Response

Paginated list of transactions.

data
object[]
required
has_more
boolean
required
next_cursor
string